import { ConfigurationModel } from "./config.model";
import * as i0 from "@angular/core";
export declare class NgxLocalizedNumbersService {
    private DEFAULT_LOCALE;
    private locale;
    private definedLocales;
    constructor();
    setLocale(locale: string): void;
    getLocale(): string;
    addLocale(locale: string, config: ConfigurationModel): void;
    getCurrentLocaleDefinition(): ConfigurationModel;
    formatNumber(value: number, decimals: number): string;
    formatCurrency(value: string): string;
    round(value: number, prec: number): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxLocalizedNumbersService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgxLocalizedNumbersService>;
}
